Page MenuHomePhabricator

Parenthetical stripping is too aggressive
Closed, ResolvedPublic

Description

http://0.0.0.0:6927/en.wikipedia.org/v1/page/preview-html/Spain returns the very last sentence as the summary. It doesn't make sense. The parenthetical stripping is far too aggressive and needs updating. Currently Spain is given the summary:
"Spain and its African territory accounts for nearly 5% of its population, mostly in the Canary Islands but also in Ceuta and Melilla."

This problem is present on various summaries including:

  • Spain
  • France

Related Objects

StatusAssignedTask
OpenNone
OpenNone
ResolvedJhernandez
ResolvedMholloway
DuplicateNone
OpenNone
ResolvedDereckson
ResolvedJdlrobson
Resolvedovasileva
DuplicateNone
DeclinedNone
ResolvedNirzar
Resolvedovasileva
ResolvedJdlrobson
DuplicateNone
DuplicateNone
Resolvedovasileva
OpenJdlrobson
ResolvedJdlrobson
Resolvedovasileva
ResolvedJdlrobson
DeclinedNone
Resolvedphuedx
DeclinedNone
ResolvedJdlrobson
ResolvedJdlrobson

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdlrobson updated the task description. (Show Details)Aug 31 2017, 4:30 PM
Jdlrobson updated the task description. (Show Details)Aug 31 2017, 4:44 PM

Change 375056 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/services/mobileapps@master] Parenthetical stripping should not be greedy

https://gerrit.wikimedia.org/r/375056

Change 375056 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Parenthetical stripping should not be greedy

https://gerrit.wikimedia.org/r/375056

Mentioned in SAL (#wikimedia-operations) [2017-09-06T22:06:32Z] <bsitzmann@tin> Started deploy [mobileapps/deploy@507a479]: Update mobileapps to 2cb6281 (T168848 T169277 T169274 T162179 T164033 T167921 T174698 T168848 T174808)

Mentioned in SAL (#wikimedia-operations) [2017-09-06T22:11:25Z] <bsitzmann@tin> Finished deploy [mobileapps/deploy@507a479]: Update mobileapps to 2cb6281 (T168848 T169277 T169274 T162179 T164033 T167921 T174698 T168848 T174808) (duration: 04m 53s)

Jdlrobson closed this task as Resolved.Sep 25 2017, 7:43 PM
Jdlrobson claimed this task.

Looking good!